Installing packages by bioconductor version 3.14
1
0
Entering edit mode
Evan • 0
@dfefb504
Last seen 6 weeks ago
Vienna

I installed the latest R version 4.1.2, but I got problems with installing the latest bioconductor version 3.14. I can not install any package by bioconductor. Can anyone tell me the reason? THANKS!

> if (!requireNamespace("BiocManager", quietly = TRUE))
+   install.packages("BiocManager")
> 
> BiocManager::install("DESeq2")
'getOption("repos")' replaces Bioconductor standard repositories, see '?repositories' for
details

replacement repositories:
    CRAN: https://mirrors.tuna.tsinghua.edu.cn/CRAN/

Bioconductor version 3.14 (BiocManager 1.30.16), R 4.1.2 (2021-11-01)
Installing package(s) 'BiocVersion'
Warning message:
In .inet_warning(msg) :
  package 'BiocVersion' is not available for Bioconductor version '3.14'

A version of this package for your version of R might be available elsewhere,
see the ideas at
https://cran.r-project.org/doc/manuals/r-patched/R-admin.html 

sessionInfo( )
R version 4.1.2 (2021-11-01)
Platform: x86_64-pc-linux-gnu (64-bit)
Running under: Ubuntu 20.04.3 LTS

Matrix products: default
BLAS:   /usr/lib/x86_64-linux-gnu/blas/libblas.so.3.9.0
LAPACK: /usr/lib/x86_64-linux-gnu/lapack/liblapack.so.3.9.0

locale:
 [1] LC_CTYPE=zh_CN.UTF-8       LC_NUMERIC=C               LC_TIME=zh_CN.UTF-8       
 [4] LC_COLLATE=zh_CN.UTF-8     LC_MONETARY=zh_CN.UTF-8    LC_MESSAGES=zh_CN.UTF-8   
 [7] LC_PAPER=zh_CN.UTF-8       LC_NAME=C                  LC_ADDRESS=C              
[10] LC_TELEPHONE=C             LC_MEASUREMENT=zh_CN.UTF-8 LC_IDENTIFICATION=C       

attached base packages:
[1] stats4    stats     graphics  grDevices utils     datasets  methods   base
Bioconductor • 360 views
ADD COMMENT
0
Entering edit mode
shepherl 2.9k
@lshep
Last seen 9 minutes ago
United States

Please see related question: Installing Bioconductor

We were having some troubles but it should have been remedied.
What do you get if you try to explicitly install BiocVersion BiocManager::install("BiocVersion")

ADD COMMENT
0
Entering edit mode
 BiocManager::install("BiocVersion")
'getOption("repos")' replaces Bioconductor standard repositories, see '?repositories' for
details

replacement repositories:
    CRAN: https://mirrors.tuna.tsinghua.edu.cn/CRAN/

Bioconductor version 3.14 (BiocManager 1.30.16), R 4.1.2 (2021-11-01)
Warning message:
package(s) not installed when version(s) same as current; use `force = TRUE` to re-install:
  'BiocVersion' 
> BiocManager::install("BiocVersion", force = TRUE)
'getOption("repos")' replaces Bioconductor standard repositories, see '?repositories' for
details

replacement repositories:
    CRAN: https://mirrors.tuna.tsinghua.edu.cn/CRAN/

Bioconductor version 3.14 (BiocManager 1.30.16), R 4.1.2 (2021-11-01)
Installing package(s) 'BiocVersion'
Warning message:
In .inet_warning(msg) :
  package 'BiocVersion' is not available for Bioconductor version '3.14'

A version of this package for your version of R might be available elsewhere,
see the ideas at
https://cran.r-project.org/doc/manuals/r-patched/R-admin.html#Installing-packages
ADD REPLY
0
Entering edit mode

As Lori says, this was fixed yesterday.

> library(BiocManager)
Bioconductor version 3.14 (BiocManager 1.30.16), R 4.1.2 (2021-11-01)
> install("BiocVersion", force = TRUE)
Bioconductor version 3.14 (BiocManager 1.30.16), R 4.1.2 (2021-11-01)
Installing package(s) 'BiocVersion'
trying URL 'https://bioconductor.org/packages/3.14/bioc/bin/windows/contrib/4.1/BiocVersion_3.14.0.zip'
Content type 'application/zip' length 9374 bytes
downloaded 9374 bytes

package 'BiocVersion' successfully unpacked and MD5 sums checked

What do you get from doing this:

> z <- available.packages("https://bioconductor.org/packages/3.14/bioc/src/contrib")
> dim(z)
[1] 2069   17
ADD REPLY
0
Entering edit mode

Yes, it worked now. Thanks!

ADD REPLY

Login before adding your answer.

Traffic: 463 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6